var defaults = {
	location:'dewplayer.swf',
	mp3:'audio.mp3',
	width:200,
	height:20,
	xml:'',
	volume:100,
	autostart:false,
	autoreplay:false,
	randomplay:false,
	showtime:false,
	nopointer:false,
	fading:3
}

var examples = {
	defaults:{},
	classic:{location:'dewplayer.swf', mp3:'audios/danzahungara.mp3', width:'200', height:'20', xml:''},
	classicvol:{location:'dewplayer-vol.swf', mp3:'audios/danzahungara.mp3', width:'240', height:'20', xml:''},
	mini:{location:'dewplayer-mini.swf', mp3:'audios/danzahungara.mp3', width:'160', height:'20', xml:''},
	mini127:{location:'dewplayer-mini-127.swf', mp3:'audios/danzahungara.mp3', width:'127', height:'20', xml:''},
	multi:{location:'dewplayer-multi.swf', mp3:'audios/danzahungara.mp3|audios/nabucco.mp3|audios/paraelisa.mp3|audios/rondoturca.mp3|audios/valsflores.mp3', width:'240', height:'20', xml:''},
	multirect:{location:'dewplayer-rect.swf', mp3:'audios/danzahungara.mp3|audios/nabucco.mp3|audios/paraelisa.mp3|audios/rondoturca.mp3|audios/valsflores.mp3', width:'240', height:'20', xml:''},
	bubble:{location:'dewplayer-bubble.swf', mp3:'audios/danzahungara.mp3', width:'250', height:'65', xml:''},
	bubblevol:{location:'dewplayer-bubble-vol.swf', mp3:'audios/danzahungara.mp3', width:'250', height:'65', xml:''},
	playlist:{location:'dewplayer-playlist.swf', mp3:'', width:'240', height:'200', xml:'playlist.xml'},
	playlistcover:{location:'dewplayer-playlist-cover.swf', mp3:'', width:'240', height:'400', xml:'playlist.xml'},
	vinyl:{location:'dewplayer-vinyl.swf', mp3:'', width:'303', height:'113', xml:'playlist.xml'}
}

var advanced = true;
var embedcode = "";
var swfobjectcode = "";
var codeshown = "embed";


function $(name) {
	return document.getElementById(name);
};


function addEvent(obj, evType, fn) {
	if (obj.addEventListener){
		obj.addEventListener(evType, fn, false);
		return true;
	} else if (obj.attachEvent){
		var r = obj.attachEvent("on"+evType, fn);
		return r;
	} else {
		return false;
	}
};

function preloadForm() {
document.forms.examples.elements.picker.options[0].selected = true;
}


function loadDefaults() {
	for(var prm in defaults) {
		if($(prm).checked) { 
			$(prm).checked = defaults[prm];
		} else {
			$(prm).value = defaults[prm];
		}
	}
};

function loadExample() {
	var idx = $('picker').value;
	loadDefaults();
	for(var prm in examples[idx]) {
		if($(prm).className == 'check') {
			$(prm).checked = examples[idx][prm];
		} else {
			$(prm).value = examples[idx][prm];
		}
	}
	loadPlayer();
}



function toggleAdvanced() {
	if(advanced == false) {
		$('advanced').style.display = 'block';
		advanced = true;
	} else {
		$('advanced').style.display = 'none';
		advanced = false;
	}
};

function loadPlayer() {
	var w = $('width').value;
	var h = $('height').value;
	var l = $('location').value;
	var mp = $('mp3').value;
	var playlista = $('xml').value;
	var modelo = $('picker').value;
	
	var so = new SWFObject(l,'mpl',w,h,'9');
	embedcode = "&lt;embed src=&quot;"+l+"&quot; width=&quot;"+w+"&quot; height=&quot;"+h+"&quot; flashvars=&quot;";
	if ((modelo != 'playlist') && (modelo != 'playlistcover') && (modelo != 'vinyl')){
		so.addVariable('mp3',mp);
		embedcode += "mp3=" + mp ;
	} else {
		so.addVariable('xml',playlista);
		embedcode += "xml=" + playlista  ;
	}
	for(var prm in defaults) {
		if($(prm).className == 'check') {
			if($(prm).checked != defaults[prm]) {
				so.addVariable(prm,$(prm).checked+'');
				embedcode +="&amp;"+prm+"="+$(prm).checked;
			}
		} else {
			if($(prm).value != defaults[prm]) {
				if ((prm != "location") && (prm != "height") && (prm != "width") && (prm != "mp3") && (prm != "xml")){
					so.addVariable(prm,$(prm).value);
					embedcode +="&amp;"+prm+"="+$(prm).value;
			}
			}
		}
	}
	embedcode += "&quot;&gt;&lt;/embed&gt";
	so.write('player');
	$('codelabel').style.display = 'block';
	$('codefield').style.display = 'block';
	$('codefield').innerHTML = embedcode;
};


function toggleCode() {
	if(codeshown == "embed") { 
		$('codelabel').innerHTML = "<a href='javascript:toggleCode();'>mostrar cdigo embed</a> | mostrar cdigo swfobject";
		$('codefield').innerHTML = swfobjectcode;
		codeshown = "swfobject";
	} else {
		$('codelabel').innerHTML = "mostrar cdigo embed | <a href='javascript:toggleCode();'>mostrar cdigo swfobject</a>";
		$('codefield').innerHTML = embedcode;
		codeshown = "embed";
	}
};


addEvent(window,'load',loadDefaults);
addEvent(window,'load',toggleAdvanced);
addEvent(window,'load',preloadForm);