var defaults = {
	source:'jwplayer.swf',
	file:'audio.mp3',
	width:320, 
	height:24,
	playlistfile:'',
	author:'',
	title:'',
	description:'',
	duration:0,
	start:0,
	image:'',
	provider:'sound',
	autostart:false, 
	bufferlength:1,
	repeat:'none',
	shuffle:false,
	item:0,
	volume:90,
	mute:false,
	stretching:'uniform',
	icons:true,
	smoothing:true, 
	quality:true, 
	backcolor:'0xFFFFFF',
	frontcolor:'0x000000',
	lightcolor:'0x000000', 
	screencolor:'0x000000',
	controlbar:'bottom',
	playlist:'none',
	playlistsize:180,
	dock:false,
	skin:'',
	config:'',
	linktarget:'_self',
	plugins:'',
	streamer:''
}

var examples = {
	defaults:{},
	simple:{source:'jwplayer.swf', file:'audios/danzahungara.mp3', width:'320', height:'24', image:'', playlistfile:''},
	isimple:{source:'jwplayer.swf', file:'audios/danzahungara.mp3', width:'320', height:'284', image:'images/brahms2.jpg', playlistfile:''},
	isimple2:{source:'jwplayer.swf', file:'audios/danzahungara.mp3', width:'320', height:'260', image:'images/brahms2.jpg', playlistfile:'', controlbar:'over'},
	simplelist:{source:'jwplayer.swf', file:'', width:'320', height:'24',  image:'', playlistfile:'playlist2.xml'},
	ilist:{source:'jwplayer.swf', file:'', width:'320', height:'284',  image:'', playlistfile:'playlist2.xml'},
	ilist2:{source:'jwplayer.swf', file:'', width:'320', height:'464',  image:'', playlistfile:'playlist2.xml', playlist:'bottom'},
	skin:{source:'jwplayer.swf', file:'audios/danzahungara.mp3', width:'320', height:'289', image:'images/brahms2.jpg', playlistfile:'', skin:'skins/glow.zip'},
	xmlconfig:{source:'jwplayer.swf', file:'', width:'320', height:'260',  image:'', config:'config.xml'}
}

var advanced = true;
var embedcode = "";
var swfobjectcode = "";
var codeshown = "embed";


function $(name) {
	return document.getElementById(name);
};


function addEvent(obj, evType, fn) {
	if (obj.addEventListener){
		obj.addEventListener(evType, fn, false);
		return true;
	} else if (obj.attachEvent){
		var r = obj.attachEvent("on"+evType, fn);
		return r;
	} else {
		return false;
	}
};

function preloadForm() {
document.forms.examples.elements.picker.options[0].selected = true;
}


function loadDefaults() {
	for(var prm in defaults) {
		if($(prm).checked) { 
			$(prm).checked = defaults[prm];
		} else {
			$(prm).value = defaults[prm];
		}
	}
};

function loadExample() {
	var idx = $('picker').value;
	loadDefaults();
	for(var prm in examples[idx]) {
		if($(prm).className == 'check') {
			$(prm).checked = examples[idx][prm];
		} else {
			$(prm).value = examples[idx][prm];
		}
	}
	loadPlayer();
}



function toggleAdvanced() {
	if(advanced == false) {
		$('advanced').style.display = 'block';
		advanced = true;
	} else {
		$('advanced').style.display = 'none';
		advanced = false;
	}
};

function loadPlayer() {
	var w = $('width').value;
	var h = $('height').value;
	var l = $('source').value;
	var mediafile = $('file').value;
	var playlista = $('playlistfile').value;
	var xmlconfig = $('config').value;
	var modelo = $('picker').value;
	
	var so = new SWFObject(l,'mpl',w,h,'9');
	so.addParam('allowfullscreen',true);
	embedcode = "&lt;embed src=&quot;"+l+"&quot; width=&quot;"+w+"&quot; height=&quot;"+h+"&quot; allowfullscreen=&quot;true&quot; flashvars=&quot;";
	
	if (modelo == 'xmlconfig') {
				so.addVariable('config',xmlconfig);
				embedcode += "config=" + xmlconfig ;
	} else {
		if ((modelo != 'defaults') && (modelo != 'simple') && (modelo != 'skin') && (modelo != 'isimple') && (modelo != 'isimple2')){
				so.addVariable('playlistfile',playlista);
				embedcode += "playlistfile=" + playlista ;
		} else {
			so.addVariable('file',mediafile);
			embedcode += "file=" + mediafile;
		}
	}
	for(var prm in defaults) {
		if($(prm).className == 'check') {
			if($(prm).checked != defaults[prm]) {
				so.addVariable(prm,$(prm).checked+'');
				embedcode +="&amp;"+prm+"="+$(prm).checked;
			}
		} else {
			if($(prm).value != defaults[prm]) {
				if ((prm != "source") && (prm != "height") && (prm != "width") && (prm != "file") && (prm != "playlistfile") && (prm != "config")){
					so.addVariable(prm,$(prm).value);
					embedcode +="&amp;"+prm+"="+$(prm).value;
			}
			}
		}
	}
	embedcode += "&quot;&gt;&lt;/embed&gt";
	so.write('player');
	$('codelabel').style.display = 'block';
	$('codefield').style.display = 'block';
	$('codefield').innerHTML = embedcode;
};


function toggleCode() {
	if(codeshown == "embed") { 
		$('codelabel').innerHTML = "<a href='javascript:toggleCode();'>mostrar cdigo embed</a> | mostrar cdigo swfobject";
		$('codefield').innerHTML = swfobjectcode;
		codeshown = "swfobject";
	} else {
		$('codelabel').innerHTML = "mostrar cdigo embed | <a href='javascript:toggleCode();'>mostrar cdigo swfobject</a>";
		$('codefield').innerHTML = embedcode;
		codeshown = "embed";
	}
};


addEvent(window,'load',loadDefaults);
addEvent(window,'load',toggleAdvanced);
addEvent(window,'load',preloadForm);