var defaults = {
	location:'player.swf',
	soundFile:'audio.mp3',
	width:290,
	titles:'',
	artists: '',
	autostart: 'no',
	loop: 'no',
	animation: 'yes',
	remaining: 'no',
	noinfo: 'no',
  initialvolume: 60,
	buffer: 5,
	encode: 'no',
	checkpolicy: 'no',
	rtl: 'no',
	transparentpagebg: 'no',
	bg: '0xE5E5E5',
	leftbg: '0xCCCCCC',
	lefticon: '0x333333',
	voltrack: '0xF2F2F2',
	volslider: '0x666666',
	rightbg: '0xB4B4B4',
	rightbghover: '0x999999',
	righticon: '0x333333',
	righticonhover: '0xFFFFFF',
	loader: '0x009900',
	track: '0xFFFFFF',
	tracker: '0xDDDDDD',
	border: '0xCCCCCC',
	skip: '0x666666',
	text: '0x333333'
}
var examples = {
	defaults:{},
	simple:{soundFile:'danzahungara.mp3', width:'290'},
	lista:{soundFile:'danzahungara.mp3,nabucco.mp3,paraelisa.mp3,rondoturca.mp3,valsflores.mp3', width:'290'}
}
var advanced = true;
var embedcode = "";
var swfobjectcode = "";
var codeshown = "embed";


function $(name) {
	return document.getElementById(name);
};


function addEvent(obj, evType, fn) {
	if (obj.addEventListener){
		obj.addEventListener(evType, fn, false);
		return true;
	} else if (obj.attachEvent){
		var r = obj.attachEvent("on"+evType, fn);
		return r;
	} else {
		return false;
	}
};


function loadDefaults() {
	for(var prm in defaults) {
		if($(prm).checked) { 
				$(prm).checked = (defaults[prm] == 'yes');
		} else {
			$(prm).value = defaults[prm];
		}
	}
};

function preloadForm() {
document.forms.examples.elements.picker.options[0].selected = true;
}

function loadExample() {
	var idx = $('picker').value;
	loadDefaults();
	for(var prm in examples[idx]) {
		if($(prm).className == 'check') {
			$(prm).checked = examples[idx][prm];
		} else {
			$(prm).value = examples[idx][prm];
		}
	}
	loadPlayer();
}


function toggleAdvanced() {
	if(advanced == false) {
		$('advanced').style.display = 'block';
		advanced = true;
	} else {
		$('advanced').style.display = 'none';
		advanced = false;
	}
};


function loadPlayer() {
	var w = $('width').value;
	var h = 24;
	var l = $('location').value;
	var s = $('soundFile').value;
	var so = new SWFObject(l,'mpl',w,h,'7');
	so.addVariable('soundFile',s);
	embedcode = "&lt;embed src=&quot;"+l+"&quot; width=&quot;"+w+"&quot; height=&quot;"+h+"&quot; flashvars=&quot;soundFile="+s;
	for(var prm in defaults) {
		if($(prm).className == 'check') {
			var checkMarcado = ($(prm).checked)?'yes':'no';
			if( checkMarcado != defaults[prm]) {
				so.addVariable(prm,checkMarcado+'');
				embedcode +="&amp;"+prm+"="+checkMarcado;
			}
		} else {
			if($(prm).value != defaults[prm]) {
				if ((prm != "location") && (prm != "soundFile") && (prm != "width")) {
					embedcode +="&amp;"+prm+"="+$(prm).value;
					so.addVariable(prm,$(prm).value);
				}
			}
		}
	}
	embedcode += "&quot;&gt;&lt;/embed&gt";
	so.write('player');
	$('codelabel').style.display = 'block';
	$('codefield').style.display = 'block';
	$('codefield').innerHTML = embedcode;
};


function toggleCode() {
	if(codeshown == "embed") { 
		$('codelabel').innerHTML = "<a href='javascript:toggleCode();'>mostrar cdigo embed</a> | mostrar cdigo swfobject";
		$('codefield').innerHTML = swfobjectcode;
		codeshown = "swfobject";
	} else {
		$('codelabel').innerHTML = "mostrar cdigo embed | <a href='javascript:toggleCode();'>mostrar cdigo swfobject</a>";
		$('codefield').innerHTML = embedcode;
		codeshown = "embed";
	}
};


addEvent(window,'load',loadDefaults);
addEvent(window,'load',toggleAdvanced);
addEvent(window,'load',preloadForm);